org.apache.maven.plugins.shade.resource

## Class XmlAppendingTransformer

- java.lang.Object
- - org.apache.maven.plugins.shade.resource.XmlAppendingTransformer

All Implemented Interfaces:
  ResourceTransformer

    public class XmlAppendingTransformer
    extends Object
    implements ResourceTransformer

Appends multiple occurrences of some XML file.

### Field Summary

Fields
`static String` `XSI_NS`

### Constructor Summary

Constructors
Constructor and Description
`XmlAppendingTransformer()`

### Method Summary

Methods
`boolean` `canTransformResource(String r)`
`boolean` `hasTransformedResource()`
`void` `modifyOutputStream(JarOutputStream jos)`
`void` `processResource(String resource, InputStream is, List<Relocator> relocators)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XSI_NS

    public static final String XSI_NS

See Also:
  Constant Field Values

### Constructor Detail

#### XmlAppendingTransformer

    public XmlAppendingTransformer()

### Method Detail

#### canTransformResource

    public boolean canTransformResource(String r)

Specified by:
  `canTransformResource` in interface `ResourceTransformer`

#### processResource

    public void processResource(String resource,
                       InputStream is,
                       List<Relocator> relocators)
                         throws IOException

Specified by:
  `processResource` in interface `ResourceTransformer`
Throws:
  `IOException`

#### hasTransformedResource

    public boolean hasTransformedResource()

Specified by:
  `hasTransformedResource` in interface `ResourceTransformer`

#### modifyOutputStream

    public void modifyOutputStream(JarOutputStream jos)
                            throws IOException

Specified by:
  `modifyOutputStream` in interface `ResourceTransformer`
Throws:
  `IOException`